## Class TPhpErrorException

Description

TPhpErrorException class

TPhpErrorException represents an exception caused by a PHP error. This exception is mainly thrown within a PHP error handler.

- since: 3.0
- version: $Id: TException.php 2247 2007-09-26 16:05:56Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Exceptions/TException.php (line 341)

    Exception
       |
       --TException
          |
          --TSystemException
             |
             --TPhpErrorException

Method Summary
TPhpErrorException __construct (integer $errno, string $errstr, string $errfile, integer $errline)
Methods
Constructor __construct (line 350)

Constructor.

- access: public

TPhpErrorException __construct (integer $errno, string $errstr, string $errfile, integer $errline)

- integer $errno: error number
- string $errstr: error string
- string $errfile: error file
- integer $errline: error line number

Redefinition of:

TException::__construct()
  Constructor.

#### Inherited Methods

Inherited From TException

> TException::__construct()
> TException::getErrorCode()
> TException::getErrorMessage()
> TException::getErrorMessageFile()
> TException::setErrorCode()
> TException::setErrorMessage()
> TException::translateErrorMessage()

Documentation generated on Mon, 21 Apr 2008 11:35:01 -0400 by phpDocumentor 1.3.0RC4